Bug 813320

Summary: usage of LinkItem causes links to be rendered non-left aligned
Product: [Other] RHQ Project Reporter: John Mazzitelli <mazz>
Component: Core UIAssignee: Mike Thompson <mithomps>
Status: CLOSED CURRENTRELEASE QA Contact: Mike Foley <mfoley>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 4.4CC: hrupp, mithomps
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Unspecified   
Whiteboard:
Fixed In Version: 4.4.0 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-09-01 15:22:02 EDT Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description John Mazzitelli 2012-04-17 09:39:08 EDT
There have been several instances of this - we need to look at the UI for more.

It seems the new smartgwt might have a bug in the way it renders LinkItems. The links are rendered non-left aligned where we expect it to be. To fix these, I have been converting LinkItems to StaticTextItems with <a> links in the text values.

We need to go through the UI code and see where we use LinkItem and correct this problem where appropriate.

see bug #812823 and bug #804131 for two examples where this was already corrected.
Comment 1 Mike Thompson 2012-04-19 12:16:40 EDT
In further analysis there are only a handful of these, due to the fact that some usages of showTitle(false) eliminates the issue.
Comment 2 Mike Thompson 2012-04-19 14:45:11 EDT
After doing a find usages on LinkItem and examining how it they are being used on a case by case method it appears that we have hit all the use cases. The other use cases that are left do not have this issue.

For instance, many of the instances of LinkItem use some kind of static factory like: AbstractActivityView.newLinkItem(title, destination); and these implementations actually setShowTitle(false) so we are safe here.

There are no more code checkins associated with this BZ (just the previous two bugs mentioned above).
Comment 3 Heiko W. Rupp 2013-09-01 15:22:02 EDT
Bulk closing of BZs that have no target version set, but which are ON_QA for more than a year and thus are in production for a long time.